> For the complete documentation index, see [llms.txt](https://cc.docs.landis.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cc.docs.landis.cloud/appendix/integration-permissions.md).

# Integration Permissions

## Landis Contact Center - Authentication

(Required)

{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=c22c3a9e-5d2c-4177-8ea1-1c53c5af36b8>" %}

#### Delegated:

#### &#x20;   User.Read: Sign in and read user profile

#### &#x20;   email: View users' email address

## Landis Contact Center - Media

(Optional) Required for recording

Select the tab for the data center location of your Landis Contact Center organization.

{% tabs %}
{% tab title="North America" %}
{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=3a08b250-02ce-4316-94f7-069f4ae0c41b>" %}
{% endtab %}

{% tab title="EMEA" %}
{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=bbe41b28-a679-4d11-86e7-00afa56d15d7>" %}
{% endtab %}
{% endtabs %}

#### Application:

#### &#x20;   Calls.AccessMedia.All: Access media streams in a call as an app

#### &#x20;   Calls.Initiate.All: Initiate outgoing 1 to 1 calls from the app

#### &#x20;   Calls.InitiateGroupCall.All: Initiate outgoing group calls from the app

#### &#x20;   Calls.JoinGroupCall.All: Join group calls and meetings as an app

#### &#x20;   Calls.JoinGroupCallAsGuest.All: Join group calls and meetings as a guest

#### &#x20;   User.Read.All: Read all users' full profiles

## Landis Contact Center - Platform

(Required)

Select the tab for the data center location of your Landis Contact Center organization.

{% tabs %}
{% tab title="North America" %}
{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=341e195c-b261-4b05-8ba5-dd4a89b1f3e7>" %}
{% endtab %}

{% tab title="EMEA" %}
{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=f5551fac-fcff-4de6-b530-b5c2d847b758>" %}
{% endtab %}
{% endtabs %}

#### Delegated:

#### &#x20;   Presence.Read.All: Read presence information of all users in your organization

#### Application:

#### &#x20;   Calls.AccessMedia.All: Access media streams in a call as an app

#### &#x20;   Calls.Initiate.All: Initiate outgoing 1 to 1 calls from the app

#### &#x20;   Calls.InitiateGroupCall.All: Initiate outgoing group calls from the app

#### &#x20;   Calls.JoinGroupCall.All: Join group calls and meetings as an app

#### &#x20;   Calls.JoinGroupCallAsGuest.All: Join group calls and meetings as a guest

#### &#x20;   User.Read.All: Read all users' full profiles

## Landis Contact Center - TeamsConfig

(Optional) Required for creating resource accounts in Landis Contact Center.

{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=05c3e7fe-59c1-4d68-b334-336aa7ed4b64>" %}

#### Delegated:

#### &#x20;   Skype and Teams Tenant Admin API: Access Microsoft Teams and Skype for Business data as the signed in user

#### &#x20;   User.Read.All: Read all users' full profiles

#### &#x20;   User.ReadWrite.All: Read and write all users' full profiles

#### &#x20;   Directory.Read.All: Read directory data

#### &#x20;   Directory.ReadWrite.All: Read and write directory data

## Landis Chat Bot

(Optional) Required for web chat.

{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=d3d33ff7-dcd7-4073-8942-49c144b66a7a>" %}

#### Application:

#### &#x20;   **TeamsAppInstallation.ReadWriteAndConsentSelfForChat.All: Allow the Teams app to manage itself and its permission grants for all chats**

#### &#x20;   **AppCatalog.Read.All: Read all app catalogs**

#### &#x20;   **OnlineMeetings.ReadWrite.All: Read and create online meetings**

#### &#x20;   **ChatMember.ReadWrite.All: Add and remove members from all chats**

#### &#x20;   **TeamsAppInstallation.ReadWriteSelfForUser.All: Allow the app to manage itself for all users**

#### &#x20;   **Chat.Create: Create chats**

## **Call Records API**

(Optional) Required for [Graph Transfer Reporting](/appendix/graph-transfer-reporting.md)

{% embed url="<https://login.microsoftonline.com/common/adminconsent?client_id=dc68af31-f522-49db-b80a-76e4af094bf8>" %}

#### **Application:**

#### &#x20;   **CallRecords.Read.All: Allows the app to read call records for all calls and online meetings**

## **Create enterprise application for Contact Center to interact with Microsoft Foundry**

(Optional) Required for [AI Interaction Summary](/setup/setup-ai-interaction-summary.md)

{% embed url="<https://login.microsoftonline.com/c23ea1be-0b89-449b-9bfa-49be34b61bf0/oauth2/authorize?client_id=519c0677-727b-4135-be42-c8987617fa3c&prompt=admin_consent&redirect_uri=https://cc.landis.cloud/app/admin/organizationSettings&response_type=code&state=aiService>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://cc.docs.landis.cloud/appendix/integration-permissions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
